import { pluginNamePrefix } from '@vuepress-denaro/core';
import { slugify } from 'transliteration';
export const permainkPinyinPlugin = (options) => {
    const pluginObj = {
        name: `${pluginNamePrefix}permaink-pinyin`,
        extendsPage: (page) => {
            const pathArr = decodeURIComponent(page.path).split('/');
            const mergeOptions = Object.assign({}, options, { ignore: ['/', '.'] });
            page.path = page.pathInferred = pathArr
                .map((str) => slugify(str, mergeOptions))
                .join('/');
        },
    };
    return pluginObj;
};
